//=========================================================================
//
//	FILE:				FTP_Main.cpp
//	
//						Copyright  2004. Ken Stahlman. All Rights Reserved.
//	
//	PURPOSE:			Application entry point for the CP_FTP demo.
//	
//	HISTORY:			1st Version - August 2004.
//	
//	NOTES:				- none -
//
//	VERSION:			Current Revision: $Rev: 2 $
//						Latest Checkout:  $Date: 2004-12-21 19:30:33 -0800 (Tue, 21 Dec 2004) $
//
//=========================================================================

	// CP_FTP
#include "FTP_Main.h"
#include "FTP_App.h"

	// CPLAT_Framework
#include "CP_Exceptions.h"
#include "CP_FrameworkFlags.h"
#include "CP_LinuxResources.h"
#include "CP_SmartPtr.h"
#include "CP_Startup.h"

#if TARGET_OS_MAC && TARGET_CC_METROWERKS && CP_Debug
	#include <DataViewer.h>
#endif	// TARGET_OS_MAC && TARGET_CC_METROWERKS && CP_Debug

#if TARGET_OS_MAC || TARGET_OS_LINUX
	int main( int argc, char *argv[] )
#else if TARGET_OS_WIN32
	int WINAPI WinMain( HINSTANCE hInst, HINSTANCE hPreInst, LPSTR lpszCmdLine, int nCmdShow )
#endif
{
	#if TARGET_OS_MAC && TARGET_CC_METROWERKS && CP_Debug
		DataViewLibInit();
	#endif	// TARGET_CC_METROWERKS && CP_Debug

	try
	{	
		#if TARGET_OS_LINUX
			InitLinuxResources();
		#endif

		#if TARGET_OS_MAC || TARGET_OS_LINUX
			CPLAT::CP_SmartPtr<CPLAT::CP_Startup>		platformStartup( CP_new CPLAT::CP_Startup( argc, argv ) );
		#else
			CPLAT::CP_SmartPtr<CPLAT::CP_Startup>		platformStartup( CP_new CPLAT::CP_Startup( hInst, hPreInst, lpszCmdLine, nCmdShow  ) );
		#endif

		FTP_Application		application;
		application.Run();	
	}
	catch(...)
	{
	}
	
	return( 0 );
}
