//=========================================================================
//
//	FILE:				CP_DocumentPolicy_None.h
//	
//						Copyright  2004. Ken Stahlman. All Rights Reserved.
//	
//	PURPOSE:			DESCRIBE CLASS HERE
//	
//	HISTORY:			1st Version - August 2004.
//	
//	NOTES:				- none -
//
//	VERSION:			Current Revision: $Rev: 204 $
//						Latest Checkout:  $Date: 2005-06-06 22:15:38 -0700 (Mon, 06 Jun 2005) $
//
//=========================================================================
#ifndef _H_CP_DocumentPolicy_None
#define _H_CP_DocumentPolicy_None
#ifndef TARGET_OS_LINUX
	#pragma once
#endif

	// CPLAT_Framework
#include "CP_M_CommandHandler.h"

CPLAT_Begin_Namespace_CPLAT

/*!
*	@class	CP_DocumentPolicy_None
*	@brief	1 LINE BRIEF DESCRIPTION HERE
*	
*	DETAILED DESCRIPTION BEGINS HERE
*/

class CP_EXPORT CP_DocumentPolicy_None
{
public:
	//! @name Constructor / Destructor
	//@{
	//! Constructor.
										CP_DocumentPolicy_None()						{}
	//! Destructor.
	virtual								~CP_DocumentPolicy_None()						{}
	//@}
			
	//! @name Commands
	//@{
			bool						HandleQuitCommand()								{ return( true ); }
			void						HandleNewUpdateCommandStatusCommand(
												CP_CommandStatus& inOutCommandStatus,
												bool& /*inOutWasHandled*/,
												CP_CommandNo& /*inCommandNo*/ )			{ inOutCommandStatus.SetIsEnabled( false ); }
			void						HandleNewCommand(
												OSStatus& inOutStatus,
												CP_CommandNo& /*inCommandNo*/ )			{ inOutStatus = CP_noErr; }
			void						HandleOpenUpdateCommandStatusCommand(
												CP_CommandStatus& inOutCommandStatus,
												bool& /*inOutWasHandled*/,
												CP_CommandNo& /*inCommandNo*/ )			{ inOutCommandStatus.SetIsEnabled( false ); }
			void						HandleOpenCommand(
												OSStatus& inOutStatus,
												CP_CommandNo& /*inCommandNo*/ )			{ inOutStatus = CP_noErr; }
	//@}

	//! @name Startup
	//@{
			void						OnOpenApplication()								{}							
	//@}

	virtual SInt32						CountDocuments()								{ return( 0 ); }
	virtual	CP_ScriptableObject_Imp		*GetNthDocument( SInt32 /*inPosition*/ )		{ return( NULL ); }

protected:

	// class data
protected:
	
//========================================================================
// Platform specific routines
//========================================================================
#if TARGET_OS_MAC
public:
	//! @name AppleEvents
	//@{
	virtual	void						HandleOpenDocumentAppleEvent(
												const AppleEvent& /*inEvent*/,
												AppleEvent& /*inOutReply*/ )			{}
	virtual	CP_ScriptableObject_Imp 	*DoAE_CreateElement(
												DescType /*inDesiredClass*/,
												DescType /*inInsertLocation*/,
												const AppleEvent& /*inEvent*/,
												AppleEvent& /*inOutAEReply*/ )			{ return( NULL ); }
	//@}
#endif

#if TARGET_OS_WIN32
#endif

#if TARGET_OS_LINUX
#endif
};

CPLAT_End_Namespace_CPLAT

#endif	// _H_CP_DocumentPolicy_None

