//=========================================================================
//
//	FILE:				CP_DeviceLoop.cpp
//	
//						Copyright  2004. Ken Stahlman. All Rights Reserved.
//	
//	PURPOSE:			Class used to coordinate drawing to different bit depth
//						monitors.
//	
//	HISTORY:			1st Version - August 2004.
//	
//	NOTES:				- none -
//
//	VERSION:			Current Revision: $Rev: 10 $
//						Latest Checkout:  $Date: 2004-12-24 14:46:10 -0800 (Fri, 24 Dec 2004) $
//
//=========================================================================
#ifndef _H_CP_DeviceLoop
#define _H_CP_DeviceLoop
#ifndef TARGET_OS_LINUX
	#pragma once
#endif

#if TARGET_OS_MAC

	// CPLAT_Framework
#include "CP_Clip.h"
#include "CP_Rect.h"
#include "CP_Types.h"

CPLAT_Begin_Namespace_CPLAT

/*!
*	@class		CP_DeviceLoop
*	@brief		Class used to coordinate drawing to different bit depth monitors.
*/
class CP_EXPORT CP_DeviceLoop
{
public:
	//! @name Constructor / Destructor
	//@{
	//! Constructor.
										CP_DeviceLoop( const CP_Rect& inGlobalBounds );
	//! Destructor.
										~CP_DeviceLoop();
	//@}

	//! @name Depth
	//@{
		bool							Depth( SInt16& inOutDepth );
	//@}

protected:
	bool								fFirstTime;			/*! Flag to indicate if this is the first time through the loop. */
	CP_Rect								fGlobalBounds;		/*! Global bounds we are checking the color info about. */
	CP_Clip								fClippingBounds;	/*! Area drawing will be clipped to. */
	
	GDHandle							fDevice;			/*! GDevice we are using. */
};

CPLAT_End_Namespace_CPLAT

#endif TARGET_OS_MAC

#endif	// _H_CP_DeviceLoop


