//=========================================================================
//
//	FILE:				CP_MacAppearanceMgrHelpers.h
//	
//						Copyright  2004. Ken Stahlman. All Rights Reserved.
//	
//	PURPOSE:			DESCRIBE CLASS HERE
//	
//	HISTORY:			1st Version - August 2004.
//	
//	NOTES:				- none -
//
//	VERSION:			Current Revision: $Rev: 2 $
//						Latest Checkout:  $Date: 2004-12-21 19:40:38 -0800 (Tue, 21 Dec 2004) $
//
//=========================================================================
#ifndef _H_CP_MacAppearanceMgrHelpers
#define _H_CP_MacAppearanceMgrHelpers
#ifndef TARGET_OS_LINUX
	#pragma once
#endif

#if TARGET_OS_MAC

	// CPLAT_Framework

CPLAT_Begin_Namespace_CPLAT

#if UNIVERSAL_INTERFACES_VERSION < 0x0335
	typedef CALLBACK_API( ::OSStatus, ControlColorProcPtr )(ControlRef inControl, SInt16 inMessage, SInt16 inDrawDepth, Boolean inDrawInColor);
	typedef STACK_UPP_TYPE(ControlColorProcPtr)			ControlColorUPP;

	EXTERN_API( ::OSStatus )
	SetControlColorProc(
		ControlRef        inControl,
	  	ControlColorUPP   inProc);

	#if ! OPAQUE_UPP_TYPES
		enum { uppControlColorProcInfo = 0x00001AF0 };  /* pascal 4_bytes Func(4_bytes, 2_bytes, 2_bytes, 1_byte) */
		#ifdef __cplusplus
			inline ControlColorUPP NewControlColorUPP(ControlColorProcPtr userRoutine) { return (ControlColorUPP)NewRoutineDescriptor((ProcPtr)(userRoutine), uppControlColorProcInfo, GetCurrentArchitecture()); }
		#else
			#define NewControlColorUPP(userRoutine) (ControlColorUPP)NewRoutineDescriptor((ProcPtr)(userRoutine), uppControlColorProcInfo, GetCurrentArchitecture())
		#endif

		#ifdef __cplusplus
			inline void DisposeControlColorUPP(ControlColorUPP userUPP) { DisposeRoutineDescriptor((UniversalProcPtr)userUPP); }
		#else
			#define DisposeControlColorUPP(userUPP) DisposeRoutineDescriptor(userUPP)
		#endif
	#endif // !OPAQUE_UPP_TYPES
#endif // UNIVERSAL_INTERFACES_VERSION < 0x0335

	// callback routine to handle the kControlMsgSetUpBackground and kControlMsgApplyTextColor messages
const OSType CP_ControlPropertyCPLAT						= CP_FOUR_CHAR_CODE('CPLA');
const OSType CP_ControlPropertyView							= CP_FOUR_CHAR_CODE('CPVI');

typedef	UniversalProcPtr	(*NewRoutineDescriptorProcPtr)(ProcPtr, ProcInfoType, ISAType);
typedef void				(*DisposeRoutineDescriptorProcPtr)(UniversalProcPtr);

#if OPAQUE_UPP_TYPES
	enum { uppControlColorProcInfo = 0x00001AF0 };
#endif

pascal ::OSStatus				CP_ControlColorProc(
										ControlHandle inControl,
										SInt16 inMessage,
										SInt16 inDepth,
										Boolean inIsColor );

class CP_EXPORT CP_ST_ControlColorSetter
{
public:
										CP_ST_ControlColorSetter( ControlColorProcPtr inColorProcPtr );
										~CP_ST_ControlColorSetter();
			
			operator ControlColorUPP()														{ return( fControlColorUPP ); }
			
			OSStatus					Set( ControlRef inControl );
			
protected:
	ControlColorUPP			fControlColorUPP;
};

CPLAT_End_Namespace_CPLAT

#endif	// TARGET_OS_MAC

#endif	// _H_CP_MacAppearanceMgrHelpers

