//=========================================================================
//
//	FILE:				CP_Debug_Gtk1.h
//	
//						Copyright  2004. Ken Stahlman. All Rights Reserved.
//	
//	PURPOSE:			Header file to create a precompiled header for CPLAT
//						projects using GTK1.
//	
//	HISTORY:			1st Version - August 2004.
//	
//	PLATFORM:			Gtk
//	DEBUGGING:			Debug
//
//	VERSION:			Current Revision: $Rev: 2 $
//						Latest Checkout:  $Date: 2004-12-21 19:40:38 -0800 (Tue, 21 Dec 2004) $
//
//=========================================================================

// ===================================================================================
//	Platform build flags
// ===================================================================================
#define TARGET_OS_MAC						0
#define TARGET_OS_WIN32						0
#define TARGET_API_MAC_CARBON				0
#define TARGET_API_MAC_OSX					0

#define TARGET_OS_LINUX						1
#define TARGET_API_GTK						1

// ===================================================================================
//	Debugging flags
// ===================================================================================
#define CP_Debug							1
#define CP_Debug_Exceptions					1
#define CP_Debug_RecordMemoryAllocations	0
#define CP_Debug_UseCustomOperatorNew		1
#define CP_Debug_RecordOSCalls				0
#define CP_Debug_RecordMemoryAllocations	0

// ===================================================================================
//	OS Environment
// ===================================================================================
#define ACCESSOR_CALLS_ARE_FUNCTIONS		1		// MacOS header flag
	
// ===================================================================================
//	Namespace
// ===================================================================================
#define ENABLE_STD_NAMESPACE				0		// disable std namespace
	
// ===================================================================================
//	Standard Library Defines
// ===================================================================================

// ===================================================================================
//	CPLAT_Framework includes
// ===================================================================================
#include "CP_Types.h"
#include "CP_FrameworkFlags.h"

#include "UserPrefixFlags.h"

#include "CP_FrameworkHeaders.h"
